#include<iostream>
using namespace std;

class Student
{ 
private: 
	const int id;
	int* grade;
	static int gradeNum; 
public:
	Student(): id(0){		//default constructor
		grade = new int[gradeNum];
		for(int i=0; i<gradeNum; i++)
			grade[i] = 0;
	}
	Student(int i, int g[]): id(i){		//constructor using member initializer
		grade = new int[gradeNum];
		for(int i=0; i<gradeNum; i++)
			grade[i] = g[i];
	}
	static int getGradeNum(){ return gradeNum; }
	int getGrade(int n){ return grade[n]; }
	void setGrade(int n, int aGrade){ grade[n]=aGrade; }
	int getID() const { return id; }	//get the id of student
}; 

int Student::gradeNum = 4;	//initialize to 4

int main()
{
	int *g, id;
	Student* s[3];	//should not use array of Student, use array of pointer
	for(int i=0; i<3; i++){
		cin >> id;
		g = new int[Student::getGradeNum()];
		for(int j=0; j<Student::getGradeNum(); j++){
			cin >> g[j];  
		}
		Student* onePtr = new Student(id,g);	//create a student and initialize with id and grades
		s[i] = onePtr;		//assign pointer to the array of pointer
	}
	for(int i=0; i<3; i++)
		cout << s[i]->getID() << " ";	//pointer of Class can use "->" 
										//which is equal to (*s[i]).getID()
		
	return 0;
}
