#include<iostream>
using namespace std;

class Student
{ 
private: 
	int* grade;
	static int gradeNum; 
public:
	Student(){		//default constructor
		grade = new int[gradeNum];
		for(int i=0; i<gradeNum; i++)
			grade[i] = 0;
	}
	Student(const Student& s){		//copy constructor
		grade = new int[gradeNum];	//deep copy
		for(int i=0; i<gradeNum; i++)
			grade[i] = s.grade[i];
	}
	static int getGradeNum(){ return gradeNum; }
	int getGrade(int n){ return grade[n]; }
	void setGrade(int n, int aGrade){ grade[n]=aGrade; }
}; 

int Student::gradeNum = 4;	//initialize to 4

int main()
{
	int n;
	Student s[3];
	for(int i=0; i<3; i++){
		for(int j=0; j<Student::getGradeNum(); j++){
			int n;
			cin >> n;  
			s[i].setGrade(j,n);
		}
	}
	Student s4(s[0]);	//copy the first student
	s4.setGrade(2,88);	//change the third grade
	cout << "------------" <<endl;
	for(int j=0; j<Student::getGradeNum(); j++)
		cout << s[0].getGrade(j) << " ";
	cout << endl;
	for(int j=0; j<Student::getGradeNum(); j++)
		cout << s4.getGrade(j) << " ";
	return 0;
}
